slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDTRLanczosGBidiag

determines the bidiagonalization choice for the TRLanczos GSVD solver

### Synopsis

    typedef enum {
      SVD_TRLANCZOS_GBIDIAG_SINGLE, /* single bidiagonalization (Qa) */
      SVD_TRLANCZOS_GBIDIAG_UPPER,  /* joint bidiagonalization, both Qa and Qb in upper bidiagonal form */
      SVD_TRLANCZOS_GBIDIAG_LOWER   /* joint bidiagonalization, Qa lower bidiagonal, Qb upper bidiagonal */
    } SVDTRLanczosGBidiag;

### See Also

SVDTRLanczosSetGBidiag(), SVDTRLanczosGetGBidiag()

### Level

advanced

### Location

include/slepcsvd.h
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages